<?php
/******************************************************************************/
//                                                                            //
//                             Smarty plugin                                  //
//                            @package Smarty                                 //
//							 @subpackage plugins                              //
//                        https://life-style.uz/                               //
//                   produced by Life Style, life-style.uz                    //
//                                                                            //
/******************************************************************************/

function smarty_function_google_analytics($params, &$smarty)
{
    $assign = fetch_getParam('assign', $params, 'analytics');
    $code  = fetch_getParam('code', $params, '');
	$result = '';

	if ($code != '') {

	    $result = '<script>
	      (function(i,s,o,g,r,a,m){i[\'GoogleAnalyticsObject\']=r;i[r]=i[r]||function(){
	      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	      })(window,document,\'script\',\'//www.google-analytics.com/analytics.js\',\'ga\');
	    
	      ga(\'create\', \'' . $code . '\', \'' . $_SERVER['HTTP_HOST'] . '\');
	      ga(\'send\', \'pageview\');
	    
	    </script>';
	}

	return $result;
}

?>